Package com.collibra.dgc.core.api.dto.query.outputmodule

# Class ExportCSVToFileRequest.Builder

Object
Builder

Enclosing class:
  `ExportCSVToFileRequest`

public static final class ExportCSVToFileRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExportCSVToFileRequest`
  `build()`
  `ExportCSVToFileRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `ExportCSVToFileRequest.Builder`
  `escape(String escape)`
  `ExportCSVToFileRequest.Builder`
  `fileName(String fileName)`
  `ExportCSVToFileRequest.Builder`
  `headerRow(boolean headerRow)`
  `ExportCSVToFileRequest.Builder`
  `quote(String quote)`
  `ExportCSVToFileRequest.Builder`
  `separator(String separator)`
  `ExportCSVToFileRequest.Builder`
  `tableViewConfig(String tableViewConfig)`
  `String`
  `toString()`
  `ExportCSVToFileRequest.Builder`
  `validationEnabled(boolean validationEnabled)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public ExportCSVToFileRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `ExportCSVToFileRequest.builder()`
    Clone method for this Builder.

  - ### tableViewConfig

    public ExportCSVToFileRequest.Builder tableViewConfig(String tableViewConfig)
    Returns:
      `this`.

  - ### validationEnabled

    public ExportCSVToFileRequest.Builder validationEnabled(boolean validationEnabled)
    Returns:
      `this`.

  - ### fileName

    public ExportCSVToFileRequest.Builder fileName(String fileName)
    Returns:
      `this`.

  - ### separator

    public ExportCSVToFileRequest.Builder separator(String separator)
    Returns:
      `this`.

  - ### quote

    public ExportCSVToFileRequest.Builder quote(String quote)
    Returns:
      `this`.

  - ### escape

    public ExportCSVToFileRequest.Builder escape(String escape)
    Returns:
      `this`.

  - ### headerRow

    public ExportCSVToFileRequest.Builder headerRow(boolean headerRow)
    Returns:
      `this`.

  - ### build

    public ExportCSVToFileRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`